Error: “Please enter a valid ‘Constituencies'.” when updating a constituent via Constituent Update Batch and Import

Batch exception error: “Please enter a valid ‘Constituencies'.” when updating a constituent via Constituent Update Batch and Import.  This occurs when importing a constituent with an existing constituency on the record, and the imported constituency is the same as the existing one. Rather than ignoring it, as it would with any other imported field that pre-existed on the record, it gives the exception error.

Prerequisite:  The constituent used for this example must have an existing constituency

1.      Create csv file with the following header:
a.      LookupID
b.      Last Name
c.       Constituency (same as existing constituency)
d.      Start date
2.      Go the Constituent functional area
3.      Select Batch entry
4.      Select Batch templates under Tasks
5.      Select Add
6.      Create a batch template based on a Constituent Update Batch
a.      Make sure the fields include those from step 1 (don’t need any others)
7.      Go to the batch template and select Create import
8.      Name the Import process (called Constituencies update in 4.0 sample)
9.      Attach the file created in step 1
10. Map the fields
11. Make sure the Set option>>Other tabs have Quick find selected
12. Save
13. Start process
14. Go to the Batch created by the process
15. In the batch, click the red X
16. Observe error
We are currently evaluating this issue and will update this article when we have more information.

Environment

 4.0.138.2

Was this article helpful?